## libapache2-mod-authn-sasl 1.2

=== debian/changelog ===
libapache2-mod-authn-sasl (1.2-2) unstable; urgency=low

  * Preparing Apache2.4 transition (Closes: #666840). 
    - debian/control: MPM behaviour is now modularized, switch to apache2-dev.
    - debian/control: tied to API-specific httpd version now. 
  * Several package updates
    - debian/rules: Improve building targets.
    - debian/rules: Switch to dpkg-dev for handling gcc hardening flags.
    - debian/control: Fix to httpd section, instead of web. 
    - debian/control: Bump up standard version 3.9.4.
    - debian/copyright: Switch to machine-readable file format.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 15 Jun 2013 11:07:49 -0300

libapache2-mod-authn-sasl (1.2-1) unstable; urgency=low

  * New upstream release. 
  * Use hardening-include to handle gcc Hardening features.
  * Stick to dpkg-source 3.0 (quilt) format. 
  * Use standards version 3.9.1 (no changess needed).

 -- Ulises Vitulli <dererk@debian.org>  Fri, 04 Feb 2011 07:40:39 -0300

libapache2-mod-authn-sasl (1.1-1) unstable; urgency=low

  [ Rene Mayorga ]
  * Update my email address
  * debian/copyrigt: Update copyright years

  [ Ulises Vitulli ]
  * New upstream release.
  * Use GPL-2 instead GPL on debian/copyright
  * Use standards version 3.8.3 (no changess needed) 

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Tue, 22 Sep 2009 09:12:38 -0300

libapache2-mod-authn-sasl (1.0.2-1) unstable; urgency=low
  
  [ Rene Mayorga ]
  * Initial release (Closes: #499186)

  [ Ulises Vitulli ]
  * Added .load, documentation and example.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Tue, 25 Nov 2008 21:27:32 -0200
