=== debian/control ===
Source: libapache2-mod-authn-sasl
Section: httpd
Priority: extra
Maintainer: Ulises Vitulli <dererk@debian.org>
Uploaders: Rene Mayorga <rmayorga@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7), autotools-dev, apache2-dev,
 libsasl2-dev, libtool, apache2-bin 
Standards-Version: 3.9.4
Homepage: http://mod-authn-sasl.sourceforge.net/

Package: libapache2-mod-authn-sasl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sasl2-bin, apache2-api-20120211
Description: SASL authentication backend provider for Apache
 This module provides the mod_auth_basic authentication front-end 
 a way to authenticate users by checking credentials via the Cyrus SASL library.
 .
 Username and password are checked against the SASL password checking backends,
 kerberos5, pam, rimap, shadow and ldap are some of the supported mechanisms.
 .
 One of the interesting parts of using a SASL backend is that you do not need 
 to elevate Apache HTTPD's access rights to superuser privileges, even when 
 validating through shadow database.
