=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --docdir=\$${prefix}/share/doc/libapache2-mod-authn-sasl/html/ \
		--htmldir=\$${prefix}/share/doc/libapache2-mod-authn-sasl/html/  \
		 CFLAGS="$(CFLAGS)" LIBS="-lapr-1" LDFLAGS="$(LDFLAGS)" 


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  config.status 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean

install: install-stamp

install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs usr/lib/apache2/modules etc/apache2/mods-available \
		usr/share/doc/libapache2-mod-authn-sasl/html usr/share/doc/libapache2-mod-authn-sasl/html/css \
		usr/share/doc/libapache2-mod-authn-sasl/html/images
	$(MAKE) DESTDIR=$(CURDIR)/debian/libapache2-mod-authn-sasl install
	install -m 644 -c debian/authn_sasl.load \
	           $(CURDIR)/debian/libapache2-mod-authn-sasl/etc/apache2/mods-available
	rm $(CURDIR)/debian/libapache2-mod-authn-sasl/usr/lib/apache2/modules/mod_authn_sasl.la
	touch $@

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_install
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
