=== debian/watch ===
version=3
http://sf.net/mod-authn-sasl/mod_authn_sasl-(.*)\.tar\.bz2
